import os
import subprocess
import sys

def main():
    cwd = os.getcwd()

    prefix = os.environ.get('PREFIX', None)
    pydaal_examples_dir = os.path.join(prefix, 'share', 'pydaal_examples')
    examples_dir = os.path.join(pydaal_examples_dir, 'examples')

    os.chdir(os.path.join(examples_dir, 'python'))
    subprocess.call([sys.executable, 'run_examples.py'])

    os.chdir(cwd)

if __name__ == '__main__':
    main()
